#include "Utils.h"
#include <random>

Utils::Utils()
{
}


bool Utils::flipCoin(double probability){
	std::random_device rd;
	std::mt19937 gen(rd());
	std::uniform_real_distribution<> dis(0, 1); // Generate number between 0 and 1.
	return dis(gen) < probability;
}
